Skip to navigation

Authentication reference

View as Markdown

This section contains reference information related to authentication, including a list of scopes and endpoints used in authentication scenarios.

For steps to troubleshoot common authentication errors, see this video:

Endpoints

The Docusign authentication service resides on a different domain than the eSignature API service. Calls to authentication service endpoints use the following base paths:

  • https://account-d.docusign.com for the development environment
  • https://account.docusign.com for all production environments

Unlike other Docusign production APIs, the single account.docusign.com domain is used for all operations, worldwide.

Note: For more information about authentication and how to authenticate, see Choose an OAuth type.

The authentication service exposes three endpoints:

  • GET /oauth/auth: This endpoint is used to obtain consent and is the first step in several authentication flows. It has different functions, depending on the query parameter values used.
  • POST /oauth/token: This endpoint enables you to exchange an authorization code or JWT token for an access token. This endpoint is called in most authentication flows.
  • GET /oauth/userinfo: This endpoint returns information on the caller, including their name, email, account, and organizational information. The response includes the base_uri needed to interact with the Docusign APIs.

Error codes

The following table describes the codes that may be returned as values for the error parameter.

ParameterDescription
invalid_redirect_uriThe redirect_uri supplied in the request did not match the value provided during client registration.
user_cancelledThe user pressed the Cancel button.
unsupported_response_typeThe user requested a response type that is not supported.

Next steps